## org.eclipse.jet.compiler
Class Comment

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.Comment

Deprecated. Since 0.8.0, use `Comment`

    public class Comment

extends JET2ASTElement

An JET2 AST element representing a comment

Constructor Summary
`Comment(org.eclipse.jet.compiler.JET2AST ast, Comment comment)` Deprecated.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.
`int` `getCommentEnd()` Deprecated.
`int` `getCommentStart()` Deprecated.
`java.lang.String` `getCommentText()` Deprecated. Return the comment text

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Comment

    public Comment(org.eclipse.jet.compiler.JET2AST ast,
                   Comment comment)

  Deprecated.

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Deprecated.
  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

### getCommentEnd

    public int getCommentEnd()

  Deprecated.
  Returns:
    Returns the commentEnd.

### getCommentStart

    public int getCommentStart()

  Deprecated.
  Returns:
    Returns the commentStart.

### getCommentText

    public java.lang.String getCommentText()

  Deprecated.
  Return the comment text

  Returns:
    the comment text

Copyright 2006 IBM Corporation and others. All Rights Reserved.